#define INSTANTIATING_TEMPLATES

#include <apt-front/cache/entity/tag.h>
#include <apt-front/cache/entity/package.h>

#include <tagcoll/InputMerger.cc>
#include <tagcoll/CardinalityStore.cc>
#include <tagcoll/SmartHierarchy.cc>

#include <string>

// Instantiate needed templates

using namespace aptFront::cache;

template class Tagcoll::InputMerger<std::string, entity::Tag>;

template class CardinalityStore<entity::Package, entity::Facet>;
template class SmartHierarchyNode<entity::Package, entity::Facet>;
template class CardinalityStore<entity::Package, entity::Tag>;
template class SmartHierarchyNode<entity::Package, entity::Tag>;

// vim:set ts=4 sw=4:
